package ink.wgink.module.activiti.enums.oa.assignee;

/**
 * @ClassName: CompleteConditionEnum
 * @Description: 完成条件
 * @Author: wanggeng
 * @Date: 2022/4/7 09:35
 * @Version: 1.0
 */
public enum CompleteConditionEnum {
    ALL_PASS("allPass", "全部通过"),
    SINGLE_PASS("singlePass", "单人通过"),
    CUSTOM_PASS("customPass", "自定义通过"),
    COMPLETE_COUNT("completeCount", "通过数");

    private String value;
    private String text;

    CompleteConditionEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
